<script setup>
import HelloWorld from './components/HelloWorld.vue'
import TheWelcome from './components/TheWelcome.vue'
import { useProductStore } from '@/store/productStore'
import { onMounted } from 'vue'

const productStore = useProductStore()

onMounted(() => {
  for(let i in productStore.productsByCategory) {
    for(let j in productStore.productsByCategory[i]) {
      console.log(productStore.productsByCategory[i][j].name)
    }
  }
})
</script>

<template>
  <header>
    <ul>
      <li v-for="(products, categoryName) in productStore.productsByCategory">
        {{categoryName}}
        <ul>
          <li v-for="product in products">
            {{product.name}}
          </li>
        </ul>
      </li>
    </ul>

    <div class="wrapper">
      <HelloWorld msg="You did it!" />
    </div>
  </header>

  <main>
    <TheWelcome />
  </main>
</template>

<style scoped>
header {
  line-height: 1.5;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }
}
</style>
